<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigs: fwArchive.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwArchive_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwArchive.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad794c2f1685ac26363153a7d8a55e655"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gad794c2f1685ac26363153a7d8a55e655">fwArchive_deleteMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gad794c2f1685ac26363153a7d8a55e655"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf05488c6de59b87b7e80c0e634ca8f79"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaf05488c6de59b87b7e80c0e634ca8f79">fwArchive_deleteMany</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf05488c6de59b87b7e80c0e634ca8f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadda131d7cba9677c8fd675b60a07db4b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gadda131d7cba9677c8fd675b60a07db4b">fwArchive_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gadda131d7cba9677c8fd675b60a07db4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d3db374903adbdb369ba018a339c48c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga3d3db374903adbdb369ba018a339c48c">_fwArchive_setOrConfig</a> (dyn_string dpes, bool startArchiving, dyn_string archiveClassDpName, dyn_int archiveType, dyn_int smoothProcedure, dyn_float deadband, dyn_float timeInterval, dyn_string &amp;exceptionInfo, bool checkClass=TRUE, bool configureOnly=FALSE, int procedureIdx=1)</td></tr>
<tr class="separator:ga3d3db374903adbdb369ba018a339c48c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa63e3364aae1bbbf6c23f5ec37b1bb43"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaa63e3364aae1bbbf6c23f5ec37b1bb43">fwArchive_setMultiple</a> (dyn_string dpes, string archiveClassName, int archiveType, int smoothProcedure, float deadband, float timeInterval, dyn_string &amp;exceptionInfo, bool checkClass=TRUE, bool activateArchiving=TRUE, int procedureIdx=1)</td></tr>
<tr class="separator:gaa63e3364aae1bbbf6c23f5ec37b1bb43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabeb766c540f79fab8ef344d2ae9e970a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gabeb766c540f79fab8ef344d2ae9e970a">fwArchive_setMany</a> (dyn_string dpes, dyn_string archiveClassName, dyn_int archiveType, dyn_int smoothProcedure, dyn_float deadband, dyn_float timeInterval, dyn_string &amp;exceptionInfo, bool checkClass=TRUE, bool activateArchiving=TRUE, bool configureOnly=false, int procedureIdx=1)</td></tr>
<tr class="separator:gabeb766c540f79fab8ef344d2ae9e970a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf33f77fd9b25f8ef08158f1b29fd319f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaf33f77fd9b25f8ef08158f1b29fd319f">_fwArchive_convertManyArchiveClassNamesToDpNames</a> (dyn_string dpes, dyn_string archiveClassNames, dyn_string &amp;archiveClassDps, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf33f77fd9b25f8ef08158f1b29fd319f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb9e50a3acf8e15ce902c9293a5dd687"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gafb9e50a3acf8e15ce902c9293a5dd687">fwArchive_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, string archiveClassName, int archiveType, int smoothProcedure, float deadband, float timeInterval, dyn_string &amp;exceptionInfo, bool checkClass=TRUE, int procedureIdx=1)</td></tr>
<tr class="separator:gafb9e50a3acf8e15ce902c9293a5dd687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad041b7e0d9329415ef56ffc86f738501"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gad041b7e0d9329415ef56ffc86f738501">fwArchive_configMultiple</a> (dyn_string dpes, string archiveClassName, int archiveType, int smoothProcedure, float deadband, float timeInterval, dyn_string &amp;exceptionInfo, bool checkClass=TRUE, int procedureIdx=1)</td></tr>
<tr class="separator:gad041b7e0d9329415ef56ffc86f738501"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga01fc68f9eb455d623fb5eb0113b50fb9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga01fc68f9eb455d623fb5eb0113b50fb9">fwArchive_configMany</a> (dyn_string dpes, dyn_string archiveClassName, dyn_int archiveType, dyn_int smoothProcedure, dyn_float deadband, dyn_float timeInterval, dyn_string &amp;exceptionInfo, bool checkClass=TRUE, int procedureIdx=1)</td></tr>
<tr class="separator:ga01fc68f9eb455d623fb5eb0113b50fb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga246ca35b69a5e2b3d7c3e30ddc2261e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga246ca35b69a5e2b3d7c3e30ddc2261e9">fwArchive_config</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, string archiveClassName, int archiveType, int smoothProcedure, float deadband, float timeInterval, dyn_string &amp;exceptionInfo, bool checkClass=TRUE, int procedureIdx=1)</td></tr>
<tr class="separator:ga246ca35b69a5e2b3d7c3e30ddc2261e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab465cefba12466ee6261437c2bab2eb8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gab465cefba12466ee6261437c2bab2eb8">fwArchive_getMany</a> (dyn_string dpes, dyn_bool &amp;configExists, dyn_string &amp;archiveClass, dyn_int &amp;archiveType, dyn_int &amp;smoothProcedure, dyn_float &amp;deadband, dyn_float &amp;timeInterval, dyn_bool &amp;isActive, dyn_string &amp;exceptionInfo, int procedureIdx=1)</td></tr>
<tr class="separator:gab465cefba12466ee6261437c2bab2eb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaca95fedf7b695af9af8f1ca34a70a95f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaca95fedf7b695af9af8f1ca34a70a95f">fwArchive_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;configExists, string &amp;archiveClass, int &amp;archiveType, int &amp;smoothProcedure, float &amp;deadband, float &amp;timeInterval, bool &amp;isActive, dyn_string &amp;exceptionInfo, int procedureIdx=1)</td></tr>
<tr class="separator:gaca95fedf7b695af9af8f1ca34a70a95f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga63ddbcc6b93b6b6c2281d3012c045285"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga63ddbcc6b93b6b6c2281d3012c045285">fwArchive_startMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga63ddbcc6b93b6b6c2281d3012c045285"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9174f196378fe815e95d68aab0c3d3f3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga9174f196378fe815e95d68aab0c3d3f3">fwArchive_start</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga9174f196378fe815e95d68aab0c3d3f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ff2a9ec3c664e3d740b8949418b6e50"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga0ff2a9ec3c664e3d740b8949418b6e50">fwArchive_stopMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga0ff2a9ec3c664e3d740b8949418b6e50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d86c1e82a16dbc6d589d80f6a52c8f0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga0d86c1e82a16dbc6d589d80f6a52c8f0">fwArchive_stop</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga0d86c1e82a16dbc6d589d80f6a52c8f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga666ee7f61a2442ce3efb0d548bc2c0de"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga666ee7f61a2442ce3efb0d548bc2c0de">_fwArchive_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool startArchive, string archiveClassDpName, int archiveType, int smoothProcedure, float deadband, float timeInterval, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga666ee7f61a2442ce3efb0d548bc2c0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa79dcad330a670d6b7cb265dab453522"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaa79dcad330a670d6b7cb265dab453522">_fwArchive_setMany</a> (dyn_string dpes, bool startArchive, dyn_string archiveClassDpName, dyn_int archiveType, dyn_int smoothProcedure, dyn_float deadband, dyn_float timeInterval, dyn_string &amp;exceptionInfo, bool configureOnly=false, int procedureIdx=1)</td></tr>
<tr class="separator:gaa79dcad330a670d6b7cb265dab453522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3e4607497b9e650d30d4f877f6f9dce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gae3e4607497b9e650d30d4f877f6f9dce">fwArchive_convertClassNameToDpName</a> (string archiveClassName, string &amp;archiveDpName, dyn_string &amp;exceptionInfo, string searchSystem=&quot;&quot;)</td></tr>
<tr class="separator:gae3e4607497b9e650d30d4f877f6f9dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f453170b46f3158905eabe08ebcd7ec"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga0f453170b46f3158905eabe08ebcd7ec">fwArchive_convertDpNameToClassName</a> (string archiveDpName, string &amp;archiveClassName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga0f453170b46f3158905eabe08ebcd7ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab671c8d51e05269ab48c0e882d91136f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gab671c8d51e05269ab48c0e882d91136f">fwArchive_checkClass</a> (string archiveClassDpName, const dyn_string &amp;dpesToAdd, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gab671c8d51e05269ab48c0e882d91136f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab86660e89a40516193cab59bfd9ad92"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaab86660e89a40516193cab59bfd9ad92">fwArchive_getClassState</a> (string archiveClassDpName, int &amp;archiveState, string &amp;archiveStateText, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaab86660e89a40516193cab59bfd9ad92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4b79a05a5fe14a30616b358f696a8f73"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga4b79a05a5fe14a30616b358f696a8f73">fwArchive_getClassStatistics</a> (string archiveClassDpName, int &amp;currentDpes, int &amp;dpesAfterFileSwitch, int &amp;maximumDpes, dyn_string &amp;exceptionInfo, bool refreshClass=TRUE)</td></tr>
<tr class="separator:ga4b79a05a5fe14a30616b358f696a8f73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae59041f2769c51e1fdb529d5e48781b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gae59041f2769c51e1fdb529d5e48781b8">fwArchive_getClassFreeSpace</a> (string archiveClassDpName, int &amp;freeSpace, dyn_string &amp;exceptionInfo, bool refreshClass=TRUE)</td></tr>
<tr class="separator:gae59041f2769c51e1fdb529d5e48781b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4da008db2ef4b191d5c9cdf2c5f74268"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga4da008db2ef4b191d5c9cdf2c5f74268">fwArchive_checkDpesArchived</a> (string archiveClassDpName, dyn_string dpesToCheck, dyn_bool &amp;areArchived, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga4da008db2ef4b191d5c9cdf2c5f74268"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a0aa71df9a294c9f2ee076971eaa422"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga2a0aa71df9a294c9f2ee076971eaa422">_fwArchive_flagEndOfRefresh</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int value)</td></tr>
<tr class="separator:ga2a0aa71df9a294c9f2ee076971eaa422"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3480e066bd251829a3eb9713a439ae1c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga3480e066bd251829a3eb9713a439ae1c">fwArchive_convertDpNameToRDBClassName</a> (string rdbArchiveGroupDpName, string &amp;rdbClassName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga3480e066bd251829a3eb9713a439ae1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee4158f4839cf4a0831f4a5b0633049e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaee4158f4839cf4a0831f4a5b0633049e">fwArchive_convertRDBClassNameToDpName</a> (string rdbClassName, string &amp;rdbArchiveGroupDpName, dyn_string &amp;exceptionInfo, string searchSystem=&quot;&quot;)</td></tr>
<tr class="separator:gaee4158f4839cf4a0831f4a5b0633049e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf2a85f29bdeff13645c716821f56222a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaf2a85f29bdeff13645c716821f56222a">fwArchive_getAllValueArchiveClasses</a> (dyn_string readFromSystems, dyn_string &amp;archiveClasses, dyn_string &amp;archiveClassDps, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf2a85f29bdeff13645c716821f56222a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33538220069ab0e65f89423f2d6e305a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga33538220069ab0e65f89423f2d6e305a">fwArchive_getAllRDBArchiveClasses</a> (dyn_string readFromSystems, dyn_string &amp;archiveClasses, dyn_string &amp;archiveGroupDps, dyn_string &amp;exceptionInfo, bool includeAlertGroups=FALSE)</td></tr>
<tr class="separator:ga33538220069ab0e65f89423f2d6e305a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72494083ae2210e250e576c863346267"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga72494083ae2210e250e576c863346267">fwArchive_useNGA</a> ()</td></tr>
<tr class="separator:ga72494083ae2210e250e576c863346267"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa09b2481c9a3fe7c3533c3305ca71ded"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaa09b2481c9a3fe7c3533c3305ca71ded">fwArchive_checkIfSystemUsesNGA</a> (string sysName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaa09b2481c9a3fe7c3533c3305ca71ded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cdad0b7959deaeebc614c4a7a8fe022"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga2cdad0b7959deaeebc614c4a7a8fe022">_fwArchive_checkIfSameArchivingIsUsed</a> (const dyn_string &amp;sysNames, dyn_bool &amp;sysUsesNga, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2cdad0b7959deaeebc614c4a7a8fe022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab23c22b75e71100f719bb71a4197061e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gab23c22b75e71100f719bb71a4197061e">fwArchive_getAllNGAArchiveClasses</a> (dyn_string readFromSystems, dyn_string &amp;archiveClasses, dyn_string &amp;archiveGroupDps, dyn_string &amp;exceptionInfo, bool includeAlertGroups=FALSE)</td></tr>
<tr class="separator:gab23c22b75e71100f719bb71a4197061e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd6f3d506b680f8a36c815abd752c14b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gabd6f3d506b680f8a36c815abd752c14b">fwArchive_convertDpNameToNGAClassName</a> (string ngaArchiveGroupDpName, string &amp;ngaClassName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gabd6f3d506b680f8a36c815abd752c14b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c4f2d809c4cab889b3ed9de2fc03b57"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga9c4f2d809c4cab889b3ed9de2fc03b57">fwArchive_convertNGAClassNameToDpName</a> (string ngaClassName, string &amp;ngaArchiveGroupDpName, dyn_string &amp;exceptionInfo, string searchSystem=&quot;&quot;)</td></tr>
<tr class="separator:ga9c4f2d809c4cab889b3ed9de2fc03b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99e37563d4fb6f52cf002ed86c80ef4e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga99e37563d4fb6f52cf002ed86c80ef4e">_fwArchive_convertNGAClassNameToInternalName</a> (const string &amp;ngaClassName)</td></tr>
<tr class="separator:ga99e37563d4fb6f52cf002ed86c80ef4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cebfc45592074cc460edc314e97bc23"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga7cebfc45592074cc460edc314e97bc23">_fwArchive_isArchiveClassNameNga</a> (const string &amp;archClassName)</td></tr>
<tr class="separator:ga7cebfc45592074cc460edc314e97bc23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90285efa10ad98a03fb37bd0bb1f1121"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga90285efa10ad98a03fb37bd0bb1f1121">_fwArchive_getNumberOfArchivingProcedures</a> (const dyn_string &amp;dpes, dyn_int &amp;numbersOfProcedures, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga90285efa10ad98a03fb37bd0bb1f1121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04bd9e2fd8a762ccb1d5ff65e54fd13b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga04bd9e2fd8a762ccb1d5ff65e54fd13b">_fwArchive_getDpeArchiveConfigsPresent</a> (const dyn_string &amp;dpes, dyn_bool &amp;configsPresent, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga04bd9e2fd8a762ccb1d5ff65e54fd13b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabbc0edf53ffbe0b4dbf844c3c8f9b2ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gabbc0edf53ffbe0b4dbf844c3c8f9b2ca">_fwArchive_getDpeArchiveConfigsEnabled</a> (const dyn_string &amp;dpes, dyn_bool &amp;configsEnabled, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gabbc0edf53ffbe0b4dbf844c3c8f9b2ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5eee36acc74cc9926d1698a5fb80599"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gab5eee36acc74cc9926d1698a5fb80599">_fwArchive_getDpeArchivingConfiguredActiveProcedureNumbers</a> (const dyn_string &amp;dpes, dyn_int &amp;configExists, dyn_bool &amp;configActive, dyn_int &amp;procNumber, bool getActive, bool getProcNumber, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gab5eee36acc74cc9926d1698a5fb80599"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a591033701390d2bfe16e88c415dfd6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga9a591033701390d2bfe16e88c415dfd6">_fwArchive_checkSettings</a> (const dyn_string &amp;dpes, const dyn_dyn_int &amp;procedureIndexes, const dyn_dyn_string &amp;archiveClasses, const dyn_dyn_int &amp;archiveTypes, const dyn_dyn_int &amp;smoothProcedures, const dyn_dyn_float &amp;deadbands, const dyn_dyn_float &amp;timeIntervals, const dyn_bool &amp;activateArchiving, dyn_string &amp;exceptionInfo, bool applyFirstSettingsToAllDpes=false)</td></tr>
<tr class="separator:ga9a591033701390d2bfe16e88c415dfd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga617024736ed572678aad52ac37461560"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga617024736ed572678aad52ac37461560">fwArchive_setManyArchivingProcedures</a> (const dyn_string &amp;dpes, const dyn_dyn_int &amp;procedureIndexes, const dyn_dyn_string &amp;archiveClasses, const dyn_dyn_int &amp;archiveTypes, const dyn_dyn_int &amp;smoothProcedures, const dyn_dyn_float &amp;deadbands, const dyn_dyn_float &amp;timeIntervals, const dyn_bool &amp;activateArchiving, dyn_string &amp;exceptionInfo, bool checkClass=true, bool applyFirstSettingsToAllDpes=false)</td></tr>
<tr class="separator:ga617024736ed572678aad52ac37461560"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae9240550be10fc28f8a93e39d3d21bd4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gae9240550be10fc28f8a93e39d3d21bd4">fwArchive_replaceManyArchivingProcedures</a> (const dyn_string &amp;dpes, const dyn_dyn_string &amp;archiveClasses, const dyn_dyn_int &amp;archiveTypes, const dyn_dyn_int &amp;smoothProcedures, const dyn_dyn_float &amp;deadbands, const dyn_dyn_float &amp;timeIntervals, const dyn_bool &amp;activateArchiving, dyn_string &amp;exceptionInfo, bool checkClass=true, bool applyFirstSettingsToAllDpes=false)</td></tr>
<tr class="separator:gae9240550be10fc28f8a93e39d3d21bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37a40467803c40d3fe71148eb9093aaa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga37a40467803c40d3fe71148eb9093aaa">fwArchive_appendManyArchivingProcedures</a> (const dyn_string &amp;dpes, const dyn_dyn_string &amp;archiveClasses, const dyn_dyn_int &amp;archiveTypes, const dyn_dyn_int &amp;smoothProcedures, const dyn_dyn_float &amp;deadbands, const dyn_dyn_float &amp;timeIntervals, dyn_string &amp;exceptionInfo, bool checkClass=true, bool applyFirstSettingsToAllDpes=false)</td></tr>
<tr class="separator:ga37a40467803c40d3fe71148eb9093aaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8258b3d3d7a155c13abe7ccb1779859f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga8258b3d3d7a155c13abe7ccb1779859f">fwArchive_deleteManyArchivingProcedures</a> (const dyn_string &amp;dpes, dyn_dyn_int proceduresToDelete, dyn_string &amp;exceptionInfo, bool applyFirstSettingsToAllDpes=false)</td></tr>
<tr class="separator:ga8258b3d3d7a155c13abe7ccb1779859f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf336d0f54a29c9241f805c336761e696"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#gaf336d0f54a29c9241f805c336761e696">fwArchive_getManyArchivingProcedures</a> (const dyn_string &amp;dpes, dyn_bool &amp;configExists, dyn_bool &amp;configActive, dyn_dyn_string &amp;archiveClasses, dyn_dyn_int &amp;archiveTypes, dyn_dyn_int &amp;smoothProcedures, dyn_dyn_float &amp;deadbands, dyn_dyn_float &amp;timeIntervals, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaf336d0f54a29c9241f805c336761e696"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga03a9b36d983dc77c68e4f31a4e923762"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga03a9b36d983dc77c68e4f31a4e923762">_fwArchive_convertManyArchiveClassNamesToDpNamesMultipleArchiveProcedures</a> (dyn_string dpes, dyn_dyn_string archiveClassNames, dyn_dyn_string &amp;archiveClassDps, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga03a9b36d983dc77c68e4f31a4e923762"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga777b5a159ff49477a9871761b1165450"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwArchiveConfig.html#ga777b5a159ff49477a9871761b1165450">_fwArchive_convertManyArchiveClassDpsToNamesMultipleArchiveProcedures</a> (dyn_dyn_string archiveClassDps, dyn_dyn_string &amp;archiveClassNames, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga777b5a159ff49477a9871761b1165450"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwArchive_8ctl.html">fwArchive.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
